com.holonplatform.vaadin.flow.components.builders

## Interface ItemListingConfigurator.ItemListingContextMenuBuilder<T,P,L extends ItemListing<T,P>,B extends ItemListingConfigurator<T,P,L,B>>

- Type Parameters:
    `T` - Item type
    `P` - Item property type
    `L` - Item listing type
    `B` - Parent item listing builder type
  All Superinterfaces:
    ComponentConfigurator<ItemListingConfigurator.ItemListingContextMenuBuilder<T,P,L,B>>, ContextMenuConfigurator<ItemEventListener<com.vaadin.flow.component.grid.contextmenu.GridMenuItem<T>,T,ItemListingItemEvent<com.vaadin.flow.component.grid.contextmenu.GridMenuItem<T>,T,P>>,com.vaadin.flow.component.grid.contextmenu.GridContextMenu<T>,com.vaadin.flow.component.grid.contextmenu.GridMenuItem<T>,com.vaadin.flow.component.grid.contextmenu.GridSubMenu<T>,ItemListingConfigurator.ItemListingContextMenuBuilder<T,P,L,B>>, HasElementConfigurator<ItemListingConfigurator.ItemListingContextMenuBuilder<T,P,L,B>>, HasStyleConfigurator<ItemListingConfigurator.ItemListingContextMenuBuilder<T,P,L,B>>
  Enclosing interface:
    ItemListingConfigurator<T,P,L extends ItemListing<T,P>,C extends ItemListingConfigurator<T,P,L,C>>

      public static interface ItemListingConfigurator.ItemListingContextMenuBuilder<T,P,L extends ItemListing<T,P>,B extends ItemListingConfigurator<T,P,L,B>>
      extends ContextMenuConfigurator<ItemEventListener<com.vaadin.flow.component.grid.contextmenu.GridMenuItem<T>,T,ItemListingItemEvent<com.vaadin.flow.component.grid.contextmenu.GridMenuItem<T>,T,P>>,com.vaadin.flow.component.grid.contextmenu.GridContextMenu<T>,com.vaadin.flow.component.grid.contextmenu.GridMenuItem<T>,com.vaadin.flow.component.grid.contextmenu.GridSubMenu<T>,ItemListingConfigurator.ItemListingContextMenuBuilder<T,P,L,B>>

  `ItemListing` context menu builder.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ContextMenuConfigurator

      `ContextMenuConfigurator.MenuItemBuilder<L extends EventListener,M extends com.vaadin.flow.component.contextmenu.ContextMenuBase<M,I,S>,I extends com.vaadin.flow.component.contextmenu.MenuItemBase<M,I,S>,S extends com.vaadin.flow.component.contextmenu.SubMenuBase<M,I,S>,B extends ContextMenuConfigurator<L,M,I,S,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `B` | `add()` Add the context menu to the item listing.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ContextMenuConfigurator

      `openOnClick, withItem, withItem, withItem, withItem, withItem, withItem, withItem, withItem, withItem, withItem, withOpenedChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

- - ### Method Detail

    - #### add

          B add()

      Add the context menu to the item listing.
      Returns:
        The parent item listing builder

Copyright © 2020 The Holon Platform. All rights reserved.